libzypp: zypp::repo::DownloadResolvableReport Struct Reference

libzypp 17.38.11

zypp::repo::DownloadResolvableReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::repo::DownloadResolvableReport:

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
enum | Error { NO_ERROR , NOT_FOUND , IO , INVALID }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | infoInCache (Resolvable::constPtr res_r, const Pathname &localfile_r)
| Hint that package is available in the local cache (no download needed).
virtual void | start (Resolvable::constPtr, const Url &)
virtual void | startDeltaDownload (const Pathname &, const ByteCount &)
virtual bool | progressDeltaDownload (int)
virtual void | problemDeltaDownload (const std::string &)
virtual void | finishDeltaDownload ()
virtual void | startDeltaApply (const Pathname &)
virtual void | progressDeltaApply (int)
virtual void | problemDeltaApply (const std::string &)
virtual void | finishDeltaApply ()
virtual bool | progress (int, Resolvable::constPtr)
virtual Action | problem (Resolvable::constPtr, Error, const std::string &)
virtual void | pkgGpgCheck (const UserData &userData_r=UserData())
| Detail information about the result of a performed pkgGpgCheck.
virtual void | finish (Resolvable::constPtr, Error, const std::string &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Definition at line 103 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::repo::DownloadResolvableReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 105 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::repo::DownloadResolvableReport::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
INVALID |

Definition at line 111 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ infoInCache()

virtual void zypp::repo::DownloadResolvableReport::infoInCache | ( | Resolvable::constPtr | res_r,
|  | const Pathname & | localfile_r )
| inlinevirtual

Hint that package is available in the local cache (no download needed).

This will be the only trigger for an already cached package.

Definition at line 121 of file ZYppCallbacks.h.

## ◆ start()

virtual void zypp::repo::DownloadResolvableReport::start | ( | Resolvable::constPtr | ,
|  | const Url & | )
| inlinevirtual

Definition at line 124 of file ZYppCallbacks.h.

## ◆ startDeltaDownload()

virtual void zypp::repo::DownloadResolvableReport::startDeltaDownload | ( | const Pathname & | ,
|  | const ByteCount & | )
| inlinevirtual

Definition at line 135 of file ZYppCallbacks.h.

## ◆ progressDeltaDownload()

virtual bool zypp::repo::DownloadResolvableReport::progressDeltaDownload | ( | int |  | ) |
| inlinevirtual

Definition at line 138 of file ZYppCallbacks.h.

## ◆ problemDeltaDownload()

virtual void zypp::repo::DownloadResolvableReport::problemDeltaDownload | ( | const std::string & |  | ) |
| inlinevirtual

Definition at line 141 of file ZYppCallbacks.h.

## ◆ finishDeltaDownload()

virtual void zypp::repo::DownloadResolvableReport::finishDeltaDownload | ( |  | ) |
| inlinevirtual

Definition at line 144 of file ZYppCallbacks.h.

## ◆ startDeltaApply()

virtual void zypp::repo::DownloadResolvableReport::startDeltaApply | ( | const Pathname & |  | ) |
| inlinevirtual

Definition at line 151 of file ZYppCallbacks.h.

## ◆ progressDeltaApply()

virtual void zypp::repo::DownloadResolvableReport::progressDeltaApply | ( | int |  | ) |
| inlinevirtual

Definition at line 154 of file ZYppCallbacks.h.

## ◆ problemDeltaApply()

virtual void zypp::repo::DownloadResolvableReport::problemDeltaApply | ( | const std::string & |  | ) |
| inlinevirtual

Definition at line 157 of file ZYppCallbacks.h.

## ◆ finishDeltaApply()

virtual void zypp::repo::DownloadResolvableReport::finishDeltaApply | ( |  | ) |
| inlinevirtual

Definition at line 160 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::repo::DownloadResolvableReport::progress | ( | int | ,
|  | Resolvable::constPtr | )
| inlinevirtual

Definition at line 164 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::repo::DownloadResolvableReport::problem | ( | Resolvable::constPtr | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 167 of file ZYppCallbacks.h.

## ◆ pkgGpgCheck()

virtual void zypp::repo::DownloadResolvableReport::pkgGpgCheck | ( | const UserData & | userData_r = UserData() | ) |
| inlinevirtual

Detail information about the result of a performed pkgGpgCheck.

Userdata sent:

Parameters

  ResObject | ResObject::constPtr of the downloaded package (Package or SrcPackage)
  Localpath | Pathname to downloaded package on disk
  CheckPackageResult | RpmDb::CheckPackageResult of signature check
  CheckPackageDetail | RpmDb::CheckPackageDetail logmessages of rpm signature check

Userdata accepted:

Parameters

  Action | DownloadResolvableReport::Action user advice how to behave on error (ABORT). If you set just an empty value here, a default problem report will be triggered.

Legacy data:

Parameters

  Package | Replaced by `"ResObject"` in 16.10.0. Package::constPtr of the package (`nullptr` in case of a SrcPackage)

Definition at line 189 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::repo::DownloadResolvableReport::finish | ( | Resolvable::constPtr | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 192 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h